# ncurses 5.9 - patch 20110611 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20110611.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Jun 11 20:35:01 UTC 2011
# ------------------------------------------------------------------------------
# NEWS                |    6 +++++-
# dist.mk             |    4 ++--
# include/curses.h.in |    6 +++---
# misc/terminfo.src   |   26 +++++++++++++++++++++++---
# 4 files changed, 33 insertions(+), 9 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1709 
--- ncurses-5.9-20110604+/NEWS	2011-06-05 00:19:16.000000000 +0000
+++ ncurses-5.9-20110611/NEWS	2011-06-11 18:40:59.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1709 2011/06/05 00:19:16 tom Exp $
+-- $Id: NEWS,v 1.1711 2011/06/11 18:40:59 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20110611
+	+ update minix entry to minix 3.2 (Thomas Cort).
+	+ fix a strict compiler warning in change to wattr_get (cf: 20110528).
+
 20110604
 	+ fixes for MirBSD port:
 	  + set default prefix to /usr.
Index: dist.mk
Prereq:  1.819 
--- ncurses-5.9-20110604+/dist.mk	2011-06-04 16:25:50.000000000 +0000
+++ ncurses-5.9-20110611/dist.mk	2011-06-06 08:44:40.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.819 2011/06/04 16:25:50 tom Exp $
+# $Id: dist.mk,v 1.820 2011/06/06 08:44:40 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20110604
+NCURSES_PATCH = 20110611
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/curses.h.in
Prereq:  1.223 
--- ncurses-5.9-20110604+/include/curses.h.in	2011-05-28 21:38:30.000000000 +0000
+++ ncurses-5.9-20110611/include/curses.h.in	2011-06-06 08:44:06.000000000 +0000
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.223 2011/05/28 21:38:30 tom Exp $ */
+/* $Id: curses.h.in,v 1.224 2011/06/06 08:44:06 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -1271,7 +1271,7 @@
 					 OK)
 #define wattr_get(win,a,p,opts)		(((win) \
 					  ? ((void)((a) != (void *)0 && (*(a) = (win)->_attrs)), \
-					     (void)((p) != (void *)0 && (*(p) = (short)(win)->_color))) \
+					     (void)((p) != (void *)0 && (*(p) = (short)(win)->_color)),OK) \
 					  : OK), \
 					 OK)
 #else
@@ -1281,7 +1281,7 @@
 					 OK)
 #define wattr_get(win,a,p,opts)		(((win) \
 					  ? ((void)((a) != (void *)0 && (*(a) = (win)->_attrs)), \
-					     (void)((p) != (void *)0 && (*(p) = (short)PAIR_NUMBER((win)->_attrs)))) \
+					     (void)((p) != (void *)0 && (*(p) = (short)PAIR_NUMBER((win)->_attrs))),OK) \
 					  : OK), \
 					 OK)
 #endif
Index: misc/terminfo.src
--- ncurses-5.9-20110604+/misc/terminfo.src	2011-02-20 20:46:53.000000000 +0000
+++ ncurses-5.9-20110611/misc/terminfo.src	2011-06-11 18:16:55.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.383 $
-#	$Date: 2011/02/20 20:46:53 $
+#	$Revision: 1.386 $
+#	$Date: 2011/06/11 18:16:55 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -17752,6 +17752,23 @@
 # See
 #	http://www.minix3.org/manpages/man4/console.4.html
 minix|minix console (v3),
+	acsc=+\020\,\021-\030.^Y0\333`\004a\261f\370g\361h\260j\331k\277l\332m\300n\305o~p\304q\304r\304s_t\303u\264v\301w\302x\263y\363z\362{\343|\330}\234~\376,
+	kdch1=\177, kend=\E[Y, kf0=\E[21~, kf1=\E[11~, kf10=\E[21~,
+	kf11=\E[11;2~, kf12=\E[12;2~, kf13=\E[13;2~,
+	kf14=\E[14;2~, kf15=\E[15;2~, kf16=\E[17;2~,
+	kf17=\E[18;2~, kf18=\E[19;2~, kf19=\E[20;2~, kf2=\E[12~,
+	kf20=\E[21;2~, kf21=\E[11;5~, kf22=\E[12;5~,
+	kf23=\E[13;5~, kf24=\E[14;5~, kf25=\E[15;5~,
+	kf26=\E[17;5~, kf27=\E[18;5~, kf28=\E[19;5~,
+	kf29=\E[20;5~, kf3=\E[13~, kf30=\E[21;5~, kf31=\E[11;6~,
+	kf32=\E[12;6~, kf33=\E[13;6~, kf34=\E[14;6~,
+	kf35=\E[15;6~, kf36=\E[17;6~, kf37=\E[18;6~,
+	kf38=\E[19;6~, kf39=\E[20;6~, kf4=\E[14~, kf40=\E[21;6~,
+	kf5=\E[15~, kf6=\E[17~, kf7=\E[18~, kf8=\E[19~, kf9=\E[20~,
+	kich1=\E[@, knp=\E[U, kpp=\E[V, lf0@, lf1@, lf2@, lf3@, lf4@, lf5@,
+	use=minix-3.0,
+
+minix-3.0|minix console (v3.0),
 	use=ecma+color, use=minix-1.7,
 
 # See
@@ -17792,7 +17809,7 @@
 	am, use=minix-old,
 
 pc-minix|minix console on an Intel box,
-	use=klone+acs, use=minix,
+	use=klone+acs, use=minix-3.0,
 
 # According to the Coherent 2.3 manual, the PC console is similar
 # to a z19. The differences seem to be (1) 25 lines, (2) no status
@@ -22356,4 +22373,7 @@
 # 2011-02-20
 #	* add cons25-debian entry (Brian M Carlson, Debina #607662).
 #
+# 2011-06-11
+#	* update minix entry to minix 3.2 (Thomas Cort).
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
